Volume Participation(VP) New Order (TRADE)
API Description
Place a new spot VP (Volume Participation) order with Algo service. A VP order automatically slices the total quantity over time, targeting a percentage of the market volume.
HTTP Request
POST /sapi/v1/algo/spot/newOrderVp
Request Weight(UID)
3000
Request Parameters
| Name | Type | Mandatory | Description |
|---|---|---|---|
| symbol | STRING | YES | Trading symbol eg. BTCUSDT |
| side | ENUM | YES | Trading side ( BUY or SELL ) |
| quantity | DECIMAL | YES | Total order quantity in base asset; The notional must be at least the equivalent of 1,000 USDT, and the maximum notional per order is 200k, 2mm or 10mm, depending on symbol. Please reduce your size if your order is above the maximum notional per order. |
| urgency | ENUM | YES | Represent the relative speed of the current execution; ENUM: LOW, MEDIUM, HIGH |
| clientAlgoId | STRING | NO | A unique id among Algo orders (length should be 32 characters). If it is not sent, we will give default value. Must be unique across all open Algo orders. |
| vpTimeLimit | INT | NO | Max allowed duration in seconds (minimum 300, maximum 86400). If it is not sent, 86400 is used and the order runs until fully filled or cancelled. |
| recvWindow | LONG | NO | Cannot be greater than 60000 |
| timestamp | LONG | YES |
- VP orders do not accept
priceortimeInForce; pricing is determined algorithmically based on market volume.urgencycontrols the participation rate: LOW = passive, MEDIUM = neutral, HIGH = aggressive.- Receiving
"success": truedoes not mean that your order will be executed. Please use the query order endpoints (GET /sapi/v1/algo/spot/openOrdersorGET /sapi/v1/algo/spot/historicalOrders) to check the order status.- You need to enable the
Spot Tradingpermission for the API key requesting this endpoint.- Base URL: https://api.binance.com
Response Example
{
"clientAlgoId": "65ce1630101a480b85915d7e11fd5078",
"success": true,
"code": 0,
"msg": "OK"
}